
# SAMN_DiMP
Python (PyTorch) implementation of the SAMN_DiMP tracker.

SAMN_DiMP uses two ResNet50 networks as backbone to extract features for the filter from DiMP
and appearance memory network from SAMN. For higher speed and more robust performance, the spatial memory network is 
replaced by an independent model from DiMP.  

####Put the trackers.ini file is written like this:
```bash
command = import votTester.run_vot20 as run_vot; run_vot.run_vot2020()

paths = $YourPath/pytracking/
```
This tracker uses two model weights, please put them in  $YourPath/pytracking/pytracking/networks/, and 
modify the path in $YourPath/pytracking/pytracking/parameter/dimp_AMN.py

```bash
SAMN model weight is available at the https://github.com/phiphiphi31/DMB.

SuperDiMP model weight is available at the https://github.com/visionml/pytracking.
```

The environment of my submission is:
```bash
teslaP100, cuda 10.1, torch=1.1.0, torchvision=0.3.0

other requirements are the same with pytracking (https://github.com/visionml/pytracking)
```

## Contact
* Fei Xie (email: jaffe03@seu.edu.cn)
